Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 20 Dec 2021 04:35:23 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Good evening,
I have an order "6369483776" since November 23 and I have only received 7 out of 20 items.

I have visited the shop and called customer services several times and they have given me hopeless promises every time.  I have  ordered these items a month ago to use them but unfortunately I am facing difficulties getting them.

I thought that shopping online would make my life easier but it made it more complicated. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3635575